## sam2p 0.45

=== Makefile ===
--- 
+++ 
@@ -35,10 +35,10 @@
 CXDFAL=$(CXXFLAGS) $(CXXFLAGSB) $(LDFLAGS) $(LIBS)
 
 .PHONY: clean dist dist-noautoconf dist-more allclean distclean dist-install
-.PHONY: most all1 install
+.PHONY: most all all1 install
 
 ifndef MAKE_DIST
-  most: sam2p
+  most all: sam2p
   Makedep: ccdep.pl config.h; perl -x -S ./ccdep.pl --FAL=assert,no,yes,checker $(CXX)
   include Makedep
 endif
@@ -151,7 +151,7 @@
 	$(BASH) mkdist.sh sam2p-more bts2.tth
 dist-install: dist-noautoconf
 	chmod 600 ../sam2p-*.tar.gz
-	scp ../sam2p-*.tar.gz k:public_html
+	scp ../sam2p-*.tar.gz kozma:public_html
 
 install: sam2p
 	-mkdir -p '$(bindir)'
