=== debian/changelog ===
sam2p (0.49-1) unstable; urgency=low

  [ Tanguy Ortolo ]
  * New upstream version.
  * debian/patches/02_show_whole_version.patch: not needed anymore.
  * debian/rules:
    - adapt the configure workaround.
    - install upstream changelog from its new location
      debian/changelog.upstream, see below.
    - remove a useless DIST_CLEAN=1 in the clean feature, and work around the
      upstream make clean to keep the configure script it tries to remove.
    - remove a wrong duplicated example.
    - add an LDFLAG to only link to needed libraries.
  * debian/patches: removed two patches which do not seem needed anymore:
    - 04_fix_gcc_4.3_FTBFS_420983.patch.
    - 06_fix_makedep.patch.
  * debian/README.source: update to match the new packaging context:
    - document quilt instead of dpatch.
    - original debian directory is removed by dpkg-source.
    - document the upstream Git branch use.
  * debian/changelog.upstream: keep upstream changelog here.
  * debian/clean: removed unused targets.
  * debian/control: updated Standards-Version, no change needed.

  [ Stefan Fritsch ]
  * Move Tanguy to Maintainer and myself to Uploaders.
  * Set DM-Upload-Allowed: yes

 -- Stefan Fritsch <sf@debian.org>  Sun, 27 Nov 2011 19:55:53 +0100

sam2p (0.47-1-4) UNRELEASED; urgency=low

  * debian/control:
    - put myself in Uploaders, adopting the package. (Closes: #619846)
    - add Vcs-* fields.
  * debian/watch: fix.
  * debian/copyright: switch to DEP-5 machine-readable format.
  * debian/source/format, debian/patches, debian/rules, debian/control: switch
    to dpkg-source 3.0 (quilt) format and stop using dpatch.
  * debian/patches/*.patch: switch to DEP-3 tagging format.
  * debian/rules:
    - switched to dh7 catchall-style.
    - removed get-orig-source: useless, we have uscan for that.
  * debian/examples: use dh_installexamples to install the example files.
  * debian/sam2p.1: correct a typo (ouput instead of output).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 01 Nov 2011 16:21:42 +0100

sam2p (0.47-1-3) unstable; urgency=low

  * Trick the build system into working with gcc 4.5. Closes: #615685
  * Bump standards-version: no changes
  * Add debian/source/format

 -- Stefan Fritsch <sf@debian.org>  Fri, 04 Mar 2011 19:47:32 +0100

sam2p (0.47-1-2) unstable; urgency=low

  * Clean up rules file and convert to debhelper's dh.
  * Add watch file.

 -- Stefan Fritsch <sf@debian.org>  Sat, 05 Dec 2009 20:29:27 +0100

sam2p (0.47-1-1) unstable; urgency=low

  * New upstream version.
  * Include sam2p_pdf_scale script from upstream svn r105 (closes: #557864).
  * Bump standards-version:
    - add README.source
  * Fix some lintian warnings:
    - point to GPL-2 in copyright file
    - bump debhelper compatibility level

 -- Stefan Fritsch <sf@debian.org>  Sat, 28 Nov 2009 18:45:59 +0100

sam2p (0.45-3-3) unstable; urgency=low

  * Fix bashism in debian/rules (closes: #478624).
  * Bump Standards-Version (no changes).
  * Convert copyright file to utf8.

 -- Stefan Fritsch <sf@debian.org>  Tue, 06 May 2008 17:16:13 +0200

sam2p (0.45-3-2) unstable; urgency=low

  * Fix handling of nostrip build option (Closes: #437946)
  * Fix some lintian warnings

 -- Stefan Fritsch <sf@debian.org>  Mon, 03 Sep 2007 21:14:20 +0200

sam2p (0.45-3-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS with gcc 4.3 pre-release (Closes: #420983)
  * Fix FSF address
  * Fix manpage encoding
  * Convert build system to dpatch
  * Bump Standards-Version (no changes)
  * New maintainer email address

 -- Stefan Fritsch <sf@debian.org>  Wed, 02 May 2007 19:49:20 +0200

sam2p (0.44-13-1) unstable; urgency=low

  * New upstream release
    - Fixes FTBFS with gcc-4.0.1 (Closes: #324573)
    - Adds -j:quiet option (Closes: #324738)
  * Avoid error message from child shell
  * Make -v display full upstream version

 -- Stefan Fritsch <sf@sfritsch.de>  Fri, 26 Aug 2005 17:47:32 +0200

sam2p (0.44-11-1) unstable; urgency=low

  * New upstream release
    - contains partial fix for bug #315046: gsview complains about
      %%BeginData: <entry missing>
  * set Standards-Version to 3.6.2 (no changes needed)

 -- Stefan Fritsch <sf@sfritsch.de>  Tue, 21 Jun 2005 22:33:39 +0200

sam2p (0.44-10-1) unstable; urgency=low

  * New upstream release
    - fixes FTBFS with gcc-4.0 and problems on 64bit arches
      Closes: #303723

 -- Stefan Fritsch <sf@sfritsch.de>  Sun, 17 Apr 2005 14:48:42 +0200

sam2p (0.44-8-1) unstable; urgency=low

  * New upstream release
  * Update manpage

 -- Stefan Fritsch <sf@sfritsch.de>  Tue, 22 Feb 2005 13:38:41 +0100

sam2p (0.44-7-1) unstable; urgency=low

  * Initial Release. (Closes: #276489)

 -- Stefan Fritsch <sf@sfritsch.de>  Wed, 12 Jan 2005 17:51:51 +0100
