=== debian/control ===
Source: sam2p
Section: graphics
Priority: optional
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Uploaders: Stefan Fritsch <sf@debian.org>
Build-Depends: debhelper (>= 7.0.50~), perl
Homepage: http://code.google.com/p/sam2p/
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/collab-maint/sam2p.git/
Vcs-Browser: http://git.debian.org/?p=collab-maint/sam2p.git
DM-Upload-Allowed: yes

Package: sam2p
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: netpbm, libjpeg-progs
Description: convert raster images to EPS, PDF, and other formats
 sam2p is a command line utility that converts many raster
 (bitmap) image formats like GIF, JPG/JPEG, and PNG into
 PostScript or PDF files. PS or EPS files created by sam2p are
 usually not much larger than the source file.
