=== debian/changelog ===
sam2p (0.49.2-3) unstable; urgency=medium

  * debian/sam2p.1: correct the documentation of -m:dpi:RES and document
    -m:dpi:-RES. (Closes: #619824)
  * debian/control: update Standards-Version to 3.9.5 (no change needed).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 31 Aug 2014 18:06:07 +0200

sam2p (0.49.2-2.1) UNRELEASED; urgency=low

  * Remove myself from Uploaders

 -- Stefan Fritsch <sf@debian.org>  Sun, 03 Nov 2013 10:49:03 +0100

sam2p (0.49.2-2) unstable; urgency=low

  * debian/rules: manually clean files instead of relying on the make clean
    target, which depends on a file generated by the configure script, thus
    unusable before buildining. (Closes: #724468)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 24 Sep 2013 21:59:01 +0200

sam2p (0.49.2-1) unstable; urgency=low

  * New upstream version. (Closes: #721142)
  * debian/patches: remove patches integrated by upstream
     - 06_update-ccdep.patch
     - 07_fix-rule.hpp.patch

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 08 Sep 2013 18:47:53 +0200

sam2p (0.49.1-2) unstable; urgency=low

  * debian/sam2p.1: various small spelling and cosmetic corrections.
  * debian/sam2p_pdf_scale.1.xml: fix a typo in the copyright date.
  * debian/patches: patches to prevent FTBFS with GCC 4.8 (Closes: #701351)
    - 06_update-ccdep.patch: update ccdep.pl to take into account GCC 4.8
      error messages.
    - 07_fix-rule.hpp.patch: fix a syntax error in rule.hpp.
  * debian/compat: switch to dh 9 for hardening.
  * debian/patches/08_respect-cxxflags.patch: make the Makefile take into
    account hardening build flags.
  * debian/rules: make configure restoration workaround more resilient (when
    the backup file is already there).
  * debian/control:
     - remove obsolete field DM-Upload-Allowed.
     - switch to dh 9 for hardening.
     - update Vcs-* fields with canonical URLs (for Policy 3.9.4).
     - update Standards-Versions to 3.9.4 (need to update Vcs-* fields).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 13 Aug 2013 21:40:59 +0200
